CUTLASS: cutlass::library::GemmDescription Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
cutlass::library::GemmDescription Struct Reference

Description of all GEMM computations.

`#include <library.h>`

Inheritance diagram for cutlass::library::GemmDescription:
[legend]
Collaboration diagram for cutlass::library::GemmDescription:
[legend]

## Public Member Functions
| GemmDescription (GemmKind gemm_kind=GemmKind::kGemm, TensorDescription const &A=TensorDescription(), TensorDescription const &B=TensorDescription(), TensorDescription const &C=TensorDescription(), NumericTypeID element_epilogue=NumericTypeID::kInvalid, SplitKMode split_k_mode=SplitKMode::kNone, ComplexTransform transform_A=ComplexTransform::kNone, ComplexTransform transform_B=ComplexTransform::kNone)
Public Member Functions inherited from cutlass::library::OperationDescription
| OperationDescription (char const *name="unknown", OperationKind kind=OperationKind::kInvalid, TileDescription const &tile_description=TileDescription())

## Public Attributes
GemmKind | gemm_kind
| Indicates the kind of GEMM performed. More...
TensorDescription | A
| Describes the A operand. More...
TensorDescription | B
| Describes the B operand. More...
TensorDescription | C
| Describes the source and destination matrices. More...
NumericTypeID | element_epilogue
| Describes the data type of the scalars passed to the epilogue. More...
SplitKMode | split_k_mode
| Describes the structure of parallel reductions. More...
ComplexTransform | transform_A
| Transformation on A operand. More...
ComplexTransform | transform_B
| Transformation on B operand. More...
Public Attributes inherited from cutlass::library::OperationDescription
char const * | name
| Unique identifier describing the operation. More...
OperationKind | kind
| Kind of operation. More...
TileDescription | tile_description
| Describes the tiled structure of a GEMM-like computation. More...

## Constructor & Destructor Documentation

cutlass::library::GemmDescription::GemmDescription | ( | GemmKind | gemm_kind = `GemmKind::kGemm`,
|  | TensorDescription const & | A = `TensorDescription()`,
|  | TensorDescription const & | B = `TensorDescription()`,
|  | TensorDescription const & | C = `TensorDescription()`,
|  | NumericTypeID | element_epilogue = `NumericTypeID::kInvalid`,
|  | SplitKMode | split_k_mode = `SplitKMode::kNone`,
|  | ComplexTransform | transform_A = `ComplexTransform::kNone`,
|  | ComplexTransform | transform_B = `ComplexTransform::kNone`
| ) |  |
| inline

## Member Data Documentation

TensorDescription cutlass::library::GemmDescription::A

TensorDescription cutlass::library::GemmDescription::B

TensorDescription cutlass::library::GemmDescription::C

NumericTypeID cutlass::library::GemmDescription::element_epilogue

GemmKind cutlass::library::GemmDescription::gemm_kind

SplitKMode cutlass::library::GemmDescription::split_k_mode

ComplexTransform cutlass::library::GemmDescription::transform_A

ComplexTransform cutlass::library::GemmDescription::transform_B

The documentation for this struct was generated from the following file:

- library.h